OpenVDB: openvdb::v3_1_0::tools::composite Namespace Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
openvdb::v3_1_0::tools::composite Namespace Reference

## Functions
template<typename T >
const boost::disable_if_c< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const boost::disable_if_c< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
const boost::enable_if_c< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const boost::enable_if_c< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
boost::disable_if< boost::is_integral< T >, T >::type | divide (const T &a, const T &b)
template<typename T >
boost::enable_if< boost::is_integral< T >, T >::type | divide (const T &a, const T &b)
bool | divide (bool a, bool)

## Function Documentation

boost::disable_if<boost::is_integral<T>, T>::type openvdb::v3_1_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

boost::enable_if<boost::is_integral<T>, T>::type openvdb::v3_1_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

bool openvdb::v3_1_0::tools::composite::divide | ( | bool | a,
|  | bool |
| ) |  |
| inline

const boost::disable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_1_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

const boost::enable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_1_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

const boost::disable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_1_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

const boost::enable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_1_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline